Index: MySports.Calendar.xml
===================================================================
--- MySports.Calendar.xml	(revision 3)
+++ MySports.Calendar.xml	(working copy)
@@ -5,8 +5,8 @@
   <defaultcontrol>50</defaultcontrol>
   <allowoverlay>yes</allowoverlay>
   <disabletopbar>no</disabletopbar>
-  <define>#header.label:MySports</define>
-  <define>#curentmodule:MySports</define>
+  <define>#header.label:#MySports.Calendar.Date</define>
+  <define>#currentmodule:MySports Calendar</define>
   <controls>
     <control>
       <description>BG</description>
@@ -53,7 +53,7 @@
       <type>label</type>
       <id>1</id>
       <posX>30</posX>
-      <posY>10</posY>
+      <posY>40</posY>
       <label>#header.label</label>
       <font>Label</font>
       <align>left</align>
Index: MySports.EventDetails.Multi.xml
===================================================================
--- MySports.EventDetails.Multi.xml	(revision 0)
+++ MySports.EventDetails.Multi.xml	(working copy)
@@ -0,0 +1,247 @@
+<?xml version="1.0" encoding="utf-8" standalone="yes"?>
+<!--version="1.0" encoding="utf-8"-->
+<window>
+  <id>87360</id>
+  <defaultcontrol>84</defaultcontrol>
+  <allowoverlay>yes</allowoverlay>
+  <disabletopbar>no</disabletopbar>
+  <define>#header.label:#MySports.EventDetails.Name</define>
+  <define>#curentmodule:Event Details</define>
+  <controls>
+    <control>
+      <description>BG</description>
+      <type>image</type>
+      <id>1</id>
+      <texture>BH Sports.jpg</texture>
+      <width>1280</width>
+      <height>720</height>
+      <colordiffuse>ffffffff</colordiffuse>
+      <visible>!string.equals(#MySports.Fanart,'')</visible>
+    </control>
+    <control>
+      <description>BG</description>
+      <type>image</type>
+      <id>1</id>
+      <texture>#MySports.Fanart</texture>
+      <width>1280</width>
+      <height>720</height>
+      <colordiffuse>ffffffff</colordiffuse>
+    </control>
+    <control>
+      <description>General Overlay</description>
+      <id>0</id>
+      <type>image</type>
+      <posX>0</posX>
+      <posY>30</posY>
+      <width>1280</width>
+      <height>720</height>
+      <texture>general_overlay.png</texture>
+    </control>
+    <control>
+      <type>label</type>
+      <id>1</id>
+      <posX>30</posX>
+      <posY>40</posY>
+      <label>#header.label</label>
+      <font>Label</font>
+      <align>left</align>
+      <textcolor>ff6FAFE1</textcolor>
+    </control>
+    <control>
+      <description>Overlay text right</description>
+      <id>0</id>
+      <type>image</type>
+      <posX>60</posX>
+      <posY>156</posY>
+      <width>550</width>
+      <height>466</height>
+      <texture mask="picturethumbmask.png">black.png</texture>
+      <colordiffuse>60ffffff</colordiffuse>
+    </control>
+    <!--control>
+      <description>Selected item Label</description>
+      <type>fadelabel</type>
+      <id>1</id>
+      <posX>0</posX>
+      <posY>95</posY>
+      <width>1280</width>
+      <label>#MySports.EventDetails.Name</label>
+      <font>font14</font>
+      <align>center</align>
+      <textcolor>ff6FAFE1</textcolor>
+    </control-->
+    <control>
+      <description>League label</description>
+      <type>label</type>
+      <id>0</id>
+      <posX>310</posX>
+      <posY>180</posY>
+      <width>300</width>
+      <height>20</height>
+      <label>#MySports.EventDetails.League</label>
+      <font>font12</font>
+      <align>center</align>
+    </control>
+    <control>
+      <description>season label</description>
+      <type>label</type>
+      <id>0</id>
+      <posX>360</posX>
+      <posY>220</posY>
+      <width>200</width>
+      <height>20</height>
+      <label>Season #MySports.EventDetails.Season</label>
+      <font>font12</font>
+      <align>center</align>
+    </control>
+    <control>
+      <description>Date value</description>
+      <type>label</type>
+      <id>1</id>
+      <posX>370</posX>
+      <posY>260</posY>
+      <width>180</width>
+      <label>#MySports.EventDetails.Date</label>
+      <font>font12</font>
+      <align>center</align>
+    </control>
+    <control>
+      <description>Time value</description>
+      <type>label</type>
+      <id>1</id>
+      <posX>370</posX>
+      <posY>300</posY>
+      <width>180</width>
+      <label>#MySports.EventDetails.Time</label>
+      <font>font12</font>
+      <align>center</align>
+    </control>
+    <control>
+      <description>Description</description>
+      <type>textboxscrollup</type>
+      <id>83</id>
+      <posX>70</posX>
+      <posY>500</posY>
+      <width>1110</width>
+      <height>60</height>
+      <font>font11</font>
+      <textcolor>ivory</textcolor>
+      <textalign>left</textalign>
+      <seperator>--------------------------------</seperator>
+      <scrollStartDelaySec>10</scrollStartDelaySec>
+      <spaceBetweenItems>4</spaceBetweenItems>
+    </control>
+    <control>
+      <description>Map</description>
+      <type>image</type>
+      <id>81</id>
+      <posX>650</posX>
+      <posY>40</posY>
+      <width>600</width>
+      <height>580</height>
+      <align>center</align>
+      <valign>middle</valign>
+      <texture>#MySports.EventDetails.Map</texture>
+      <keepaspectratio>yes</keepaspectratio>
+      <visible>!string.equals(#MySports.EventDetails.Map,'')</visible>
+    </control>
+    <control>
+      <description>Event Thumb</description>
+      <type>image</type>
+      <id>82</id>
+      <posX>80</posX>
+      <posY>150</posY>
+      <width>260</width>
+      <height>320</height>
+      <align>center</align>
+      <valign>middle</valign>
+      <keepaspectratio>yes</keepaspectratio>
+    </control>
+    <control>
+      <description>Results List</description>
+      <type>listcontrol</type>
+      <id>84</id>
+      <posX>700</posX>
+      <posY>200</posY>
+      <width>550</width>
+      <height>300</height>
+      <textXOff>15</textXOff>
+      <textXOff2>550</textXOff2>
+      <textXOff3>8</textXOff3>
+      <PinIconXOff>30</PinIconXOff>
+      <scrollOffset>2</scrollOffset>
+      <onleft>85</onleft>
+      <onright>85</onright>
+      <keepaspectratio>yes</keepaspectratio>
+      <visible>!string.equals(#MySports.EventDetails.Result,'')</visible>
+    </control>
+    <control>
+      <type>actiongroup</type>
+      <description>action menu</description>
+      <defaultcontrol>15</defaultcontrol>
+      <onexit>0</onexit>
+      <buttonX>0</buttonX>
+      <buttonY>-40</buttonY>
+      <buttonwidth>106</buttonwidth>
+      <buttonheight>720</buttonheight>
+      <textureFocus>-</textureFocus>
+      <textureNoFocus>Action_nofocus.png</textureNoFocus>
+      <width>275</width>
+      <height>720</height>
+      <dimColor>00ffffff</dimColor>
+      <control>
+        <type>image</type>
+        <id>0</id>
+        <width>1280</width>
+        <height>720</height>
+        <texture>white.png</texture>
+        <colordiffuse>50005eef</colordiffuse>
+      </control>
+      <control>
+        <type>image</type>
+        <posX>26</posX>
+        <posY>78</posY>
+        <width>320</width>
+        <height>590</height>
+        <texture>Backslide.png</texture>
+        <colorDiffuse>fffffffff</colorDiffuse>
+        <visible>!Control.HasFocus(84)</visible>
+        <animation effect="slide" time="70" start="-300,0" reversible="false">visible</animation>
+        <animation effect="slide" time="70" end="-300,0" reversible="false">hidden</animation>
+      </control>
+      <control>
+        <description>group element</description>
+        <type>group</type>
+        <animation effect="slide" time="70" start="-300,0" reversible="false">visible</animation>
+        <animation effect="slide" time="70" end="-300,0" reversible="false">hidden</animation>
+        <layout>StackLayout(0, Vertical, true)</layout>
+        <posX>50</posX>
+        <posY>120</posY>
+        <visible>!Control.HasFocus(84)</visible>
+        <control>
+          <description>Results button</description>
+          <type>button</type>
+          <id>85</id>
+          <label>Results</label>
+          <onup>86</onup>
+          <ondown>86</ondown>
+          <onleft>84</onleft>
+          <onright>84</onright>
+        </control>
+        <control>
+          <description>Map button</description>
+          <type>button</type>
+          <id>86</id>
+          <label>Map</label>
+          <onup>85</onup>
+          <ondown>85</ondown>
+          <onleft>84</onleft>
+          <onright>84</onright>
+        </control>
+      </control>
+    </control>
+    <import>common.window.xml</import>
+    <import>common.time.xml</import>s
+  </controls>
+</window>
+<!--Checksum:5e07f09b7dd8095e1d56dd227d3fd170-->
Index: MySports.EventDetails.Two.xml
===================================================================
--- MySports.EventDetails.Two.xml	(revision 0)
+++ MySports.EventDetails.Two.xml	(working copy)
@@ -0,0 +1,297 @@
+<?xml version="1.0" encoding="utf-8" standalone="yes"?>
+<!--version="1.0" encoding="utf-8"-->
+<window>
+  <id>87356</id>
+  <defaultcontrol>54</defaultcontrol>
+  <allowoverlay>yes</allowoverlay>
+  <disabletopbar>no</disabletopbar>
+  <define>#header.label:#MySports.EventDetails.Name</define>
+  <define>#curentmodule:Event Details</define>
+  <controls>
+    <control>
+      <description>BG</description>
+      <type>image</type>
+      <id>1</id>
+      <texture>BH Sports.jpg</texture>
+      <width>1280</width>
+      <height>720</height>
+      <colordiffuse>ffffffff</colordiffuse>
+    <visible>!string.equals(#MySports.Fanart,'')</visible>
+    </control>
+    <control>
+      <description>BG</description>
+      <type>image</type>
+      <id>1</id>
+      <texture>#MySports.Fanart</texture>
+      <width>1280</width>
+      <height>720</height>
+      <colordiffuse>ffffffff</colordiffuse>
+    </control>
+    <control>
+      <description>General Overlay</description>
+      <id>0</id>
+      <type>image</type>
+      <posX>0</posX>
+      <posY>30</posY>
+      <width>1280</width>
+      <height>720</height>
+      <texture>general_overlay.png</texture>
+    </control>
+    <control>
+      <type>label</type>
+      <id>1</id>
+      <posX>30</posX>
+      <posY>40</posY>
+      <label>#header.label</label>
+      <font>Label</font>
+      <align>left</align>
+      <textcolor>ff6FAFE1</textcolor>
+    </control>
+    <!--control>
+      <description>Overlay text right</description>
+      <id>0</id>
+      <type>image</type>
+      <posX>60</posX>
+      <posY>156</posY>
+      <width>550</width>
+      <height>466</height>
+      <texture mask="picturethumbmask.png">black.png</texture>
+      <colordiffuse>60ffffff</colordiffuse>
+    </control-->
+    <!--control>
+      <description>Selected item Label</description>
+      <type>fadelabel</type>
+      <id>1</id>
+      <posX>0</posX>
+      <posY>95</posY>
+      <width>1280</width>
+      <label>#MySports.EventDetails.Name</label>
+      <font>font14</font>
+      <align>center</align>
+      <textcolor>ff6FAFE1</textcolor>
+    </control-->
+    <control>
+      <description>Home Thumb</description>
+      <type>image</type>
+      <id>52</id>
+      <posX>90</posX>
+      <posY>150</posY>
+      <width>200</width>
+      <height>280</height>
+      <align>center</align>
+      <valign>middle</valign>
+      <keepaspectratio>yes</keepaspectratio>s
+    </control>
+    <control>
+      <description>Away Thumb</description>
+      <type>image</type>
+      <id>53</id>
+      <posX>980</posX>
+      <posY>150</posY>
+      <width>200</width>
+      <height>280</height>
+      <align>center</align>
+      <valign>middle</valign>
+      <keepaspectratio>yes</keepaspectratio>
+    </control>
+    <control>
+      <description>League label</description>
+      <type>label</type>
+      <id>0</id>
+      <posX>490</posX>
+      <posY>180</posY>
+      <width>300</width>
+      <height>20</height>
+      <label>#MySports.EventDetails.League</label>
+      <font>font12</font>
+      <align>center</align>
+    </control>
+    <control>
+      <description>season label</description>
+      <type>label</type>
+      <id>0</id>
+      <posX>540</posX>
+      <posY>220</posY>
+      <width>200</width>
+      <height>20</height>
+      <label>Season #MySports.EventDetails.Season</label>
+      <font>font12</font>
+      <align>center</align>
+    </control>
+    <control>
+      <description>Date value</description>
+      <type>label</type>
+      <id>1</id>
+      <posX>550</posX>
+      <posY>260</posY>
+      <width>180</width>
+      <label>#MySports.EventDetails.Date</label>
+      <font>font12</font>
+      <align>center</align>
+    </control>
+        <control>
+      <description>Time value</description>
+      <type>label</type>
+      <id>1</id>
+      <posX>550</posX>
+      <posY>300</posY>
+      <width>180</width>
+      <label>#MySports.EventDetails.Time</label>
+      <font>font12</font>
+      <align>center</align>
+    </control>
+    <control>
+      <description>Home Score label</description>
+      <type>label</type>
+      <id>0</id>
+      <posX>250</posX>
+      <posY>220</posY>
+      <width>300</width>
+      <height>20</height>
+      <label>#MySports.EventDetails.HomeScore</label>
+      <font>font18</font>
+      <align>center</align>
+    </control>
+    <control>
+      <description>Away Score label</description>
+      <type>label</type>
+      <id>0</id>
+      <posX>750</posX>
+      <posY>220</posY>
+      <width>300</width>
+      <height>20</height>
+      <label>#MySports.EventDetails.AwayScore</label>
+      <font>font18</font>
+      <align>center</align>
+    </control>
+    <control>
+      <description>Description</description>
+      <type>textboxscrollup</type>
+      <id>58</id>
+      <posX>70</posX>
+      <posY>500</posY>
+      <width>1110</width>
+      <height>60</height>
+      <font>font11</font>
+      <textcolor>ivory</textcolor>
+      <textalign>left</textalign>
+      <seperator>--------------------------------</seperator>
+      <scrollStartDelaySec>10</scrollStartDelaySec>
+      <spaceBetweenItems>4</spaceBetweenItems>
+    </control>
+    <!--control>
+      <type>actiongroup</type>
+      <description>action menu</description>
+      <defaultcontrol>18</defaultcontrol>
+      <onexit>0</onexit>
+      <buttonX>0</buttonX>
+      <buttonY>-40</buttonY>
+      <buttonwidth>106</buttonwidth>
+      <buttonheight>720</buttonheight>
+      <textureFocus>-</textureFocus>
+      <textureNoFocus>Action_nofocus.png</textureNoFocus>
+      <width>275</width>
+      <height>720</height>
+      <dimColor>00ffffff</dimColor>
+      <control>
+        <type>image</type>
+        <id>0</id>
+        <width>1280</width>
+        <height>720</height>
+        <texture>white.png</texture>
+        <colordiffuse>50005eef</colordiffuse>
+      </control>
+      <control>
+        <type>image</type>
+        <posX>26</posX>
+        <posY>78</posY>
+        <width>320</width>
+        <height>590</height>
+        <texture>Backslide.png</texture>
+        <colorDiffuse>fffffffff</colorDiffuse>
+        <visible>(!Control.HasFocus(54)+!Control.HasFocus(55))</visible>
+        <animation effect="slide" time="70" start="-300,0" reversible="false">visible</animation>
+        <animation effect="slide" time="70" end="-300,0" reversible="false">hidden</animation>
+      </control>
+      <control>
+        <description>group element</description>
+        <type>group</type>
+        <animation effect="slide" time="70" start="-300,0" reversible="false">visible</animation>
+        <animation effect="slide" time="70" end="-300,0" reversible="false">hidden</animation>
+        <layout>StackLayout(0, Vertical, true)</layout>
+        <posX>50</posX>
+        <posY>120</posY>
+        <visible>(!Control.HasFocus(54)+!Control.HasFocus(55))</visible>
+        <control>
+          <description>Results button</description>
+          <type>button</type>
+          <id>15</id>
+          <label>Results</label>
+          <onup>124</onup>
+          <ondown>16</ondown>
+          <onleft>18</onleft>
+          <onright>18</onright>
+        </control>
+        <control>
+          <description>Schedules button</description>
+          <type>button</type>
+          <id>16</id>
+          <label>Schedules</label>
+          <onup>15</onup>
+          <ondown>17</ondown>
+          <onleft>18</onleft>
+          <onright>18</onright>
+        </control>
+        <control>
+          <description>Table button</description>
+          <type>button</type>
+          <id>17</id>
+          <label>Table</label>
+          <onup>16</onup>
+          <ondown>15</ondown>
+          <onleft>18</onleft>
+          <onright>18</onright>
+        </control>
+      </control>
+    </control-->
+    <control>
+      <description>Home Events List</description>
+      <type>listcontrol</type>
+      <id>54</id>
+      <posX>300</posX>
+      <posY>300</posY>
+      <width>200</width>
+      <height>350</height>
+      <textXOff>-20</textXOff>
+      <textXOff2>550</textXOff2>
+      <textXOff3>60</textXOff3>
+      <PinIconXOff>0</PinIconXOff>
+      <scrollOffset>2</scrollOffset>
+      <onup>54</onup>
+      <ondown>54</ondown>
+      <onleft>55</onleft>
+      <onright>55</onright>
+    </control>
+    <control>
+      <description>Away Events List</description>
+      <type>listcontrol</type>
+      <id>55</id>
+      <posX>750</posX>
+      <posY>300</posY>
+      <width>200</width>
+      <height>350</height>
+      <textXOff>-20</textXOff>
+      <textXOff2>550</textXOff2>
+      <textXOff3>60</textXOff3>
+      <PinIconXOff>0</PinIconXOff>
+      <scrollOffset>2</scrollOffset>
+      <onup>55</onup>
+      <ondown>55</ondown>
+      <onleft>54</onleft>
+      <onright>54</onright>
+    </control>
+    <import>common.window.xml</import>
+    <import>common.time.xml</import>
+</controls>
+</window>
+<!--Checksum:5e07f09b7dd8095e1d56dd227d3fd170-->
Index: MySports.EventDetails.xml
===================================================================
--- MySports.EventDetails.xml	(revision 3)
+++ MySports.EventDetails.xml	(working copy)
@@ -5,7 +5,7 @@
   <defaultcontrol>54</defaultcontrol>
   <allowoverlay>yes</allowoverlay>
   <disabletopbar>no</disabletopbar>
-  <define>#header.label:Event Details</define>
+  <define>#header.label:#MySports.EventDetails.Name</define>
   <define>#curentmodule:Event Details</define>
   <controls>
     <control>
@@ -15,9 +15,19 @@
       <texture>BH Sports.jpg</texture>
       <width>1280</width>
       <height>720</height>
-      <colordiffuse>90ffffff</colordiffuse>
+      <colordiffuse>ffffffff</colordiffuse>
+    <visible>!string.equals(#MySports.Fanart,'')</visible>
     </control>
     <control>
+      <description>BG</description>
+      <type>image</type>
+      <id>1</id>
+      <texture>#MySports.Fanart</texture>
+      <width>1280</width>
+      <height>720</height>
+      <colordiffuse>ffffffff</colordiffuse>
+    </control>
+    <control>
       <description>background top overlay</description>
       <type>image</type>
       <id>1</id>
@@ -53,7 +63,7 @@
       <type>label</type>
       <id>1</id>
       <posX>30</posX>
-      <posY>10</posY>
+      <posY>40</posY>
       <label>#header.label</label>
       <font>Label</font>
       <align>left</align>
@@ -70,7 +80,7 @@
       <texture mask="picturethumbmask.png">black.png</texture>
       <colordiffuse>60ffffff</colordiffuse>
     </control>
-    <control>
+    <!--control>
       <description>Selected item Label</description>
       <type>fadelabel</type>
       <id>1</id>
@@ -81,18 +91,19 @@
       <font>font14</font>
       <align>center</align>
       <textcolor>ff6FAFE1</textcolor>
-    </control>
+    </control-->
     <control>
       <description>Thumb</description>
       <type>image</type>
       <id>52</id>
-      <posX>70</posX>
-      <posY>150</posY>
+      <posX>90</posX>
+      <posY>70</posY>
       <width>200</width>
       <height>280</height>
       <align>center</align>
       <valign>middle</valign>
       <keepaspectratio>yes</keepaspectratio>
+      <visible>no</visible>
     </control>
     <control>
       <description>Thumb</description>
@@ -105,6 +116,7 @@
       <align>center</align>
       <valign>middle</valign>
       <keepaspectratio>yes</keepaspectratio>
+      <visible>no</visible>
     </control>
     <control>
       <description>League label</description>
@@ -131,15 +143,27 @@
       <align>center</align>
     </control>
     <control>
-      <description>Born value</description>
+      <description>Date value</description>
       <type>label</type>
       <id>1</id>
       <posX>550</posX>
       <posY>260</posY>
       <width>180</width>
-      <label>#MySports.EventDetails.Date #MySports.EventDetails.Time</label>
+      <label>#MySports.EventDetails.Date</label>
       <font>font12</font>
+      <align>center</align>
     </control>
+        <control>
+      <description>Time value</description>
+      <type>label</type>
+      <id>1</id>
+      <posX>550</posX>
+      <posY>300</posY>
+      <width>180</width>
+      <label>#MySports.EventDetails.Time</label>
+      <font>font12</font>
+      <align>center</align>
+    </control>
     <control>
       <description>Home Score label</description>
       <type>label</type>
@@ -164,9 +188,79 @@
       <font>font18</font>
       <align>center</align>
     </control>
-
-
     <control>
+      <description>Description</description>
+      <type>textboxscrollup</type>
+      <id>58</id>
+      <posX>70</posX>
+      <posY>500</posY>
+      <width>1110</width>
+      <height>60</height>
+      <font>font11</font>
+      <textcolor>ivory</textcolor>
+      <textalign>left</textalign>
+      <seperator>--------------------------------</seperator>
+      <scrollStartDelaySec>10</scrollStartDelaySec>
+      <spaceBetweenItems>4</spaceBetweenItems>
+    </control>
+    <control>
+      <description>Map</description>
+      <type>image</type>
+      <id>56</id>
+      <posX>730</posX>
+      <posY>20</posY>
+      <width>500</width>
+      <height>580</height>
+      <align>center</align>
+      <valign>middle</valign>
+      <keepaspectratio>yes</keepaspectratio>
+      <visible>no</visible>
+    </control>
+    <control>
+      <description>Thumb</description>
+      <type>image</type>
+      <id>57</id>
+      <posX>80</posX>
+      <posY>150</posY>
+      <width>260</width>
+      <height>320</height>
+      <align>center</align>
+      <valign>middle</valign>
+      <keepaspectratio>yes</keepaspectratio>
+    </control>
+    <control>
+      <description>League label</description>
+      <type>label</type>
+      <id>0</id>
+      <posX>730</posX>
+      <posY>20</posY>
+      <width>400</width>
+      <height>480</height>
+      <label>#MySports.EventDetails.Results</label>
+      <font>font10</font>
+      <align>center</align>
+      <visible>no</visible>
+    </control>
+    <control>
+      <description>List</description>
+      <type>listcontrol</type>
+      <id>59</id>
+      <posX>700</posX>
+      <posY>200</posY>
+      <width>550</width>
+      <height>300</height>
+      <textXOff>15</textXOff>
+      <textXOff2>550</textXOff2>
+      <textXOff3>8</textXOff3>
+      <PinIconXOff>30</PinIconXOff>
+      <scrollOffset>2</scrollOffset>
+      <onup>54</onup>
+      <ondown>54</ondown>
+      <onleft>55</onleft>
+      <onright>55</onright>        
+      <keepaspectratio>yes</keepaspectratio>
+    </control>
+    <control>
       <type>actiongroup</type>
       <description>action menu</description>
       <defaultcontrol>18</defaultcontrol>
@@ -277,8 +371,8 @@
       <onleft>54</onleft>
       <onright>54</onright>
     </control>
-    <!--import>common.window.xml</import-->
-  <import>common.time.xml</import>
+    <import>common.window.xml</import>
+    <import>common.time.xml</import>s
 </controls>
 </window>
 <!--Checksum:5e07f09b7dd8095e1d56dd227d3fd170-->
Index: MySports.Importer.xml
===================================================================
--- MySports.Importer.xml	(revision 3)
+++ MySports.Importer.xml	(working copy)
@@ -6,7 +6,7 @@
   <allowoverlay>yes</allowoverlay>
   <disabletopbar>no</disabletopbar>
   <define>#header.label:Importer</define>
-  <define>#curentmodule:Importer</define>
+  <define>#currentmodule:MySports Importer</define>
   <controls>
     <control>
       <description>BG</description>
@@ -15,8 +15,8 @@
       <texture>BH Sports.jpg</texture>
       <width>1280</width>
       <height>720</height>
-      <visible>!string.equals(#MySports.Fanart,)</visible>
-      <colordiffuse>90ffffff</colordiffuse>
+      <visible>!string.equals(#MySports.Fanart,'')</visible>
+      <colordiffuse>ffffffff</colordiffuse>
     </control>
     <control>
       <description>Fanart</description>
@@ -80,7 +80,7 @@
       <texture mask="picturethumbmask.png">black.png</texture>
       <colordiffuse>60ffffff</colordiffuse>
     </control>
-    <control>
+    <!--control>
       <description>Selected item Label</description>
       <type>fadelabel</type>
       <id>1</id>
@@ -91,13 +91,13 @@
       <font>font14</font>
       <align>center</align>
       <textcolor>ff6FAFE1</textcolor>
-    </control>
+    </control-->
     
     <control>
       <type>actiongroup</type>
       <description>action menu</description>
-      <defaultcontrol>18</defaultcontrol>
-      <onexit>0</onexit>
+      <defaultcontrol>74</defaultcontrol>
+      <onexit>71</onexit>
       <buttonX>0</buttonX>
       <buttonY>-40</buttonY>
       <buttonwidth>106</buttonwidth>
@@ -123,7 +123,7 @@
         <height>590</height>
         <texture>Backslide.png</texture>
         <colorDiffuse>fffffffff</colorDiffuse>
-        <visible>!Control.HasFocus(61)</visible>
+        <visible>!Control.HasFocus(71)</visible>
         <animation effect="slide" time="70" start="-300,0" reversible="false">visible</animation>
         <animation effect="slide" time="70" end="-300,0" reversible="false">hidden</animation>
       </control>
@@ -135,8 +135,38 @@
         <layout>StackLayout(0, Vertical, true)</layout>
         <posX>50</posX>
         <posY>120</posY>
-        <visible>!Control.HasFocus(61)</visible>
-
+        <visible>!Control.HasFocus(71)</visible>
+        <control>
+          <description>Local view</description>
+          <type>button</type>
+          <id>74</id>
+          <label>Local view</label>          
+          <hyperlink>87358</hyperlink>
+          <onup>73</onup>
+          <ondown>72</ondown>
+          <onleft>71</onleft>
+          <onright>71</onright>
+        </control>
+        <control>
+          <description>Add Folders button</description>
+          <type>button</type>
+          <id>72</id>
+          <label>Add folder</label>
+          <onup>74</onup>
+          <ondown>73</ondown>
+          <onleft>71</onleft>
+          <onright>71</onright>
+        </control>
+        <control>
+          <description>Remove Folders button</description>
+          <type>button</type>
+          <id>73</id>
+          <label>Remove Folder</label>
+          <onup>72</onup>
+          <ondown>74</ondown>
+          <onleft>71</onleft>
+          <onright>71</onright>
+        </control>
       </control>
     </control>
     <control>
@@ -152,13 +182,13 @@
       <textXOff3>60</textXOff3>
       <PinIconXOff>0</PinIconXOff>
       <scrollOffset>2</scrollOffset>
-      <onup>15</onup>
-      <ondown>15</ondown>
-      <onleft>15</onleft>
-      <onright>15</onright>
+      <onup>71</onup>
+      <ondown>71</ondown>
+      <onleft>74</onleft>
+      <onright>74</onright>
     </control>
-    <!--import>common.window.xml</import-->
-  <import>common.time.xml</import>
+    <import>common.window.xml</import>
+    <import>common.time.xml</import>
 </controls>
 </window>
 <!--Checksum:5e07f09b7dd8095e1d56dd227d3fd170-->
Index: MySports.LeagueDetails.xml
===================================================================
--- MySports.LeagueDetails.xml	(revision 3)
+++ MySports.LeagueDetails.xml	(working copy)
@@ -5,8 +5,8 @@
   <defaultcontrol>30</defaultcontrol>
   <allowoverlay>yes</allowoverlay>
   <disabletopbar>no</disabletopbar>
-  <define>#header.label:League Details</define>
-  <define>#curentmodule:League Details</define>
+  <define>#header.label:#MySports.LeagueDetails.Name | #MySports.LeagueDetails.View View</define>
+  <define>#currentmodule:MySports League Details</define>
   <controls>
     <control>
       <description>BG</description>
@@ -53,7 +53,7 @@
       <type>label</type>
       <id>1</id>
       <posX>30</posX>
-      <posY>10</posY>
+      <posY>40</posY>
       <label>#header.label</label>
       <font>Label</font>
       <align>left</align>
@@ -70,7 +70,7 @@
       <texture mask="picturethumbmask.png">black.png</texture>
       <colordiffuse>60ffffff</colordiffuse>
     </control>
-    <control>
+    <!--control>
       <description>Selected item Label</description>
       <type>fadelabel</type>
       <id>1</id>
@@ -81,7 +81,7 @@
       <font>font14</font>
       <align>center</align>
       <textcolor>ff6FAFE1</textcolor>
-    </control>
+    </control-->
     <control>
       <description>Thumb</description>
       <type>image</type>
@@ -233,7 +233,7 @@
       <type>actiongroup</type>
       <description>action menu</description>
       <defaultcontrol>33</defaultcontrol>
-      <onexit>0</onexit>
+      <onexit>30</onexit>
       <buttonX>0</buttonX>
       <buttonY>-40</buttonY>
       <buttonwidth>106</buttonwidth>
@@ -301,6 +301,7 @@
           <ondown>33</ondown>
           <onleft>30</onleft>
           <onright>30</onright>
+          <visible>string.equals(#MySports.LeagueDetails.Sport,Soccer)</visible>
         </control>
       </control>
     </control>
@@ -336,8 +337,8 @@
       <onleft>33</onleft>
       <onright>33</onright>
     </control>
-    <!--import>common.window.xml</import-->
-  <import>common.time.xml</import>
+    <import>common.window.xml</import>
+    <import>common.time.xml</import>
 </controls>
 </window>
 <!--Checksum:5e07f09b7dd8095e1d56dd227d3fd170-->
Index: MySports.LiveScores.xml
===================================================================
--- MySports.LiveScores.xml	(revision 3)
+++ MySports.LiveScores.xml	(working copy)
@@ -6,7 +6,7 @@
   <allowoverlay>no</allowoverlay>
   <disabletopbar>no</disabletopbar>
   <define>#header.label:MySports Livescores</define>
-  <define>#curentmodule:MySports - LiveScores</define>
+  <define>#currentmodule:MySports Live Scores</define>
   <controls>
     <control>
       <description>BG</description>
Index: MySports.LocalEvents.xml
===================================================================
--- MySports.LocalEvents.xml	(revision 3)
+++ MySports.LocalEvents.xml	(working copy)
@@ -6,7 +6,7 @@
   <allowoverlay>yes</allowoverlay>
   <disabletopbar>no</disabletopbar>
   <define>#header.label:Local View</define>
-  <define>#curentmodule:Local View</define>
+  <define>#currentmodule:Local View</define>
   <controls>
     <control>
       <description>BG</description>
@@ -80,7 +80,7 @@
       <texture mask="picturethumbmask.png">black.png</texture>
       <colordiffuse>60ffffff</colordiffuse>
     </control>
-    <control>
+    <!--control>
       <description>Selected item Label</description>
       <type>fadelabel</type>
       <id>1</id>
@@ -91,7 +91,7 @@
       <font>font14</font>
       <align>center</align>
       <textcolor>ff6FAFE1</textcolor>
-    </control>
+    </control-->
     <control>
       <description>Thumb</description>
       <type>image</type>
Index: MySports.PlayerDetails.xml
===================================================================
--- MySports.PlayerDetails.xml	(revision 3)
+++ MySports.PlayerDetails.xml	(working copy)
@@ -5,8 +5,8 @@
   <defaultcontrol>18</defaultcontrol>
   <allowoverlay>yes</allowoverlay>
   <disabletopbar>no</disabletopbar>
-  <define>#header.label:Player Details</define>
-  <define>#curentmodule:Player Details</define>
+  <define>#header.label:#MySports.PlayerDetails.Name | #MySports.PlayerDetails.View View</define>
+  <define>#currentmodule:MySports Player Details</define>
   <controls>
     <control>
       <description>BG</description>
@@ -53,7 +53,7 @@
       <type>label</type>
       <id>1</id>
       <posX>30</posX>
-      <posY>10</posY>
+      <posY>40</posY>
       <label>#header.label</label>
       <font>Label</font>
       <align>left</align>
@@ -70,7 +70,7 @@
       <texture mask="picturethumbmask.png">black.png</texture>
       <colordiffuse>60ffffff</colordiffuse>
     </control>
-    <control>
+    <!--control>
       <description>Selected item Label</description>
       <type>fadelabel</type>
       <id>1</id>
@@ -81,7 +81,7 @@
       <font>font14</font>
       <align>center</align>
       <textcolor>ff6FAFE1</textcolor>
-    </control>
+    </control-->
     <control>
       <description>Thumb</description>
       <type>image</type>
@@ -232,8 +232,8 @@
     <control>
       <type>actiongroup</type>
       <description>action menu</description>
-      <defaultcontrol>18</defaultcontrol>
-      <onexit>0</onexit>
+      <defaultcontrol>15</defaultcontrol>
+      <onexit>18</onexit>
       <buttonX>0</buttonX>
       <buttonY>-40</buttonY>
       <buttonwidth>106</buttonwidth>
@@ -301,6 +301,7 @@
           <ondown>15</ondown>
           <onleft>18</onleft>
           <onright>18</onright>
+          <visible>string.equals(#MySports.PlayerDetails.Sport,Soccer)</visible>
         </control>
       </control>
     </control>
@@ -322,8 +323,8 @@
       <onleft>15</onleft>
       <onright>15</onright>
     </control>
-    <!--import>common.window.xml</import-->
-  <import>common.time.xml</import>
+    <import>common.window.xml</import>
+    <import>common.time.xml</import>
 </controls>
 </window>
 <!--Checksum:5e07f09b7dd8095e1d56dd227d3fd170-->
Index: MySports.TeamDetails.xml
===================================================================
--- MySports.TeamDetails.xml	(revision 3)
+++ MySports.TeamDetails.xml	(working copy)
@@ -5,8 +5,8 @@
   <defaultcontrol>40</defaultcontrol>
   <allowoverlay>yes</allowoverlay>
   <disabletopbar>no</disabletopbar>
-  <define>#header.label:Team Details</define>
-  <define>#curentmodule:Team Details</define>
+  <define>#header.label:#MySports.TeamDetails.Name | #MySports.TeamDetails.View View</define>
+  <define>#currentmodule:Team Details</define>
   <controls>
     <control>
       <description>BG</description>
@@ -53,7 +53,7 @@
       <type>label</type>
       <id>1</id>
       <posX>30</posX>
-      <posY>10</posY>
+      <posY>40</posY>
       <label>#header.label</label>
       <font>Label</font>
       <align>left</align>
@@ -70,7 +70,7 @@
       <texture mask="picturethumbmask.png">black.png</texture>
       <colordiffuse>60ffffff</colordiffuse>
     </control>
-    <control>
+    <!--control>
       <description>Selected item Label</description>
       <type>fadelabel</type>
       <id>1</id>
@@ -81,7 +81,7 @@
       <font>font14</font>
       <align>center</align>
       <textcolor>ff6FAFE1</textcolor>
-    </control>
+    </control-->
     <control>
       <description>Thumb</description>
       <type>image</type>
@@ -233,7 +233,7 @@
       <type>actiongroup</type>
       <description>action menu</description>
       <defaultcontrol>43</defaultcontrol>
-      <onexit>0</onexit>
+      <onexit>40</onexit>
       <buttonX>0</buttonX>
       <buttonY>-40</buttonY>
       <buttonwidth>106</buttonwidth>
@@ -301,6 +301,7 @@
           <ondown>43</ondown>
           <onleft>40</onleft>
           <onright>40</onright>
+          <visible>string.equals(#MySports.TeamDetails.Sport,Soccer)</visible>
         </control>
       </control>
     </control>
@@ -336,8 +337,8 @@
       <onleft>43</onleft>
       <onright>43</onright>
     </control>
-    <!--import>common.window.xml</import-->
-  <import>common.time.xml</import>
+    <import>common.window.xml</import>
+    <import>common.time.xml</import>
 </controls>
 </window>
 <!--Checksum:5e07f09b7dd8095e1d56dd227d3fd170-->
Index: MySports.xml
===================================================================
--- MySports.xml	(revision 3)
+++ MySports.xml	(working copy)
@@ -5,8 +5,8 @@
   <defaultcontrol>50</defaultcontrol>
   <allowoverlay>yes</allowoverlay>
   <disabletopbar>no</disabletopbar>
-  <define>#header.label:MySports</define>
-  <define>#curentmodule:MySports</define>
+  <define>#header.label:#MySports.View View | #MySports.Level | #MySports.CurrentItem </define>
+  <define>#currentmodule:MySports</define>
   <controls>
     <control>
       <description>BG</description>
@@ -15,7 +15,7 @@
       <texture>BH Sports.jpg</texture>
       <width>1280</width>
       <height>720</height>
-    <visible>string.!equals(#MySports.Fanart,)</visible>
+      <visible>string.!equals(#MySports.Fanart,)</visible>
       <colordiffuse>ddffffff</colordiffuse>
     </control>
     <control>
@@ -63,7 +63,7 @@
       <type>label</type>
       <id>1</id>
       <posX>30</posX>
-      <posY>10</posY>
+      <posY>40</posY>
       <label>#header.label</label>
       <font>Label</font>
       <align>left</align>
@@ -71,8 +71,8 @@
     <control>
       <type>actiongroup</type>
       <description>action menu</description>
-      <defaultcontrol>50</defaultcontrol>
-      <onexit>0</onexit>
+      <defaultcontrol>18</defaultcontrol>
+      <onexit>50</onexit>
       <buttonX>0</buttonX>
       <buttonY>-40</buttonY>
       <buttonwidth>106</buttonwidth>
